import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class OrderType extends StatelessWidget {
  String icon;
  String typename;

  OrderType({super.key, required this.icon, required this.typename});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(25),
        border: Border.all(color: Color.fromARGB(255, 76, 175, 80), width: 1.0),
      ),
      child: Padding(
        padding: const EdgeInsets.fromLTRB(6, 2, 6, 2),
        child: Row(
          children: [
            SvgPicture.asset(
              icon,
              color: Color.fromARGB(255, 95, 95, 95),
              height: 17,
            ),
            SizedBox(width: 2),
            Text(
              typename,
              style: TextStyle(
                color: Color.fromARGB(255, 95, 95, 95),
                fontWeight: FontWeight.w500,
                fontSize: 12
              ),
            ),
          ],
        ),
      ),
    );
  }
}
